org.eclnt.workplace

## Class WorkplacePerspectiveManager

- java.lang.Object
- - org.eclnt.workplace.WorkplacePerspectiveManager

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplacePerspectiveManager
      extends java.lang.Object
      implements java.io.Serializable

  Counter part for WORKPLACEPERSPECTIVESELECTOR component - managing the dynamic content that is built up + managing the popup that is opened.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WorkplacePerspectiveManager.Invoker`
    `class` | `WorkplacePerspectiveManager.PerspectiveGridItem`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplacePerspectiveManager(IWorkpageDispatcher owningDispatcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DYNAMICCONTENTBinding` | `getContent()`
    `java.lang.String` | `getCurrentPerspective()`
    `java.lang.String` | `getCurrentPerspectiveText()`
    `java.util.List<WorkplacePerspectiveManager.Invoker>` | `getInvokers()`
    `java.lang.String` | `getName()`
    `FIXGRIDListBinding<WorkplacePerspectiveManager.PerspectiveGridItem>` | `getPerspectiveGrid()`
    `void` | `onManagePerspectives(ActionEvent event)`
    `void` | `onSave(ActionEvent event)`
    `void` | `prepare(java.lang.String user, WorkplaceUserInfo userInfo)`
    `void` | `setName(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplacePerspectiveManager

          public WorkplacePerspectiveManager(IWorkpageDispatcher owningDispatcher)

  - ### Method Detail

    - #### prepare

          public void prepare(java.lang.String user,
                              WorkplaceUserInfo userInfo)

    - #### setName

          public void setName(java.lang.String value)

    - #### getName

          public java.lang.String getName()

    - #### getPerspectiveGrid

          public FIXGRIDListBinding<WorkplacePerspectiveManager.PerspectiveGridItem> getPerspectiveGrid()

    - #### getContent

          public DYNAMICCONTENTBinding getContent()

    - #### getCurrentPerspective

          public java.lang.String getCurrentPerspective()

    - #### getCurrentPerspectiveText

          public java.lang.String getCurrentPerspectiveText()

    - #### getInvokers

          public java.util.List<WorkplacePerspectiveManager.Invoker> getInvokers()

    - #### onManagePerspectives

          public void onManagePerspectives(ActionEvent event)

    - #### onSave

          public void onSave(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.